2018-08-19 20:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003017OpenFOAMPatchpublic2018-07-31 17:12
Reporterkunda1 
Assigned Tohenry 
PrioritylowSeveritytrivialReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiondev 
Summary0003017: Misc. typo fixes pt5
DescriptionFollow up to
#2844
#2845
#2887
#2891
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009878

henry (manager)

Rather than providing patches for these typo fixes it would be better if you provide the method to find them so we can maintain the code more easily.

~0009879

kunda1 (reporter)

@henry, I have in previous reports: See
https://bugs.openfoam.org/view.php?id=2844

~0009880

kunda1 (reporter)

As mentioned in #2891

Found via `codespell -q 3 -I ../openfoam-dev-whitelist.txt` where whitelist consists of:

```
alledges
ans
eiter
inbetween
ith
metre
metres
minimise
nd
othere
pres
propert
splitted
strat
tage
te
ths
unselect
upto
wll
```

~0009882

henry (manager)

The reason I ask is that when I run the latest codespell on OpenFOAM-dev I get

./applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/breakupModels/LaakkonenAlopaeusAittamaa/LaakkonenAlopaeusAittamaa.H:50: continous ==> continuous
./applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/coalescenceModels/CoulaloglouTavlaridesCoalescence/CoulaloglouTavlaridesCoalescence.H:53: continous ==> continuous
./applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/coalescenceModels/PrinceBlanch/PrinceBlanch.H:91: continous ==> continuous
./bin/foamGet:102: Prioritise ==> Prioritize
./bin/foamInfo:142: Prioritise ==> Prioritize
./bin/tools/HookFunctions:447: formating ==> formatting
./bin/tools/pre-commit-hook:45: missmatched ==> mismatched

whereas you have more changes than this in your patch. Which version of codespell are you running?

~0009883

kunda1 (reporter)

running HEAD 1.14.0.dev0
Install it with:
pip3 install --user --upgrade git+https://github.com/codespell-project/codespell.git

~0009884

henry (manager)

Thanks, I found the problem, I was running the latest version but that was then picking-up the library files of an older version.

~0009886

henry (manager)

Resolved by commit 8662f99ac12c2a0fccd63527fd0194554f81a054
+Notes

-Issue History
Date Modified Username Field Change
2018-07-31 15:41 kunda1 New Issue
2018-07-31 15:41 kunda1 File Added: openfoam-misc-typo-fix.patch
2018-07-31 15:50 henry Note Added: 0009878
2018-07-31 15:57 kunda1 Note Added: 0009879
2018-07-31 16:16 kunda1 Note Added: 0009880
2018-07-31 16:26 henry Note Added: 0009882
2018-07-31 16:38 kunda1 Note Added: 0009883
2018-07-31 16:44 henry Note Added: 0009884
2018-07-31 17:12 henry Assigned To => henry
2018-07-31 17:12 henry Status new => resolved
2018-07-31 17:12 henry Resolution open => fixed
2018-07-31 17:12 henry Fixed in Version => dev
2018-07-31 17:12 henry Note Added: 0009886
2018-07-31 17:12 henry File Deleted: openfoam-misc-typo-fix.patch
+Issue History